# StringMapParamResolver Class Reference

`#include <cxmlelement.h>`

Inheritance diagram for StringMapParamResolver:

List of all members.

## Detailed Description

A parameter resolver class for cXMLElement (more precisely, for cXMLElement::getElementByPath()), which resolves parameters from a string map that contains (parametername, value) pairs.

## Public Member Functions

virtual bool | resolve (const char *paramname, std::string &value)

## Member Function Documentation

virtual bool StringMapParamResolver::resolve | ( | const char * | paramname,
|  | std::string & | value
| ) | `[virtual]`

| To be redefined in subclasses. If paramname is recognized, the method should store the value in the 'value' argument and return true; otherwise it should return false. Implements cXMLElement::ParamResolver.

The documentation for this class was generated from the following file:

- cxmlelement.h